<?php

function proxmox_hook_onCreate( $serviceid, $vtype, $vserverid, $vservernode ){
    # Hook code goes here
}

function proxmox_hook_onSuspend( $serviceid, $vtype, $vserverid, $vservernode ){
    # Hook code goes here 
}

function proxmox_hook_onUnsuspend( $serviceid, $vtype, $vserverid, $vservernode ){
    # Hook code goes here
}

function proxmox_hook_onChangePackage( $serviceid, $vtype, $vserverid, $vservernode ){
    # Hook code goes here
}

function proxmox_hook_onTerminate( $serviceid, $vtype, $vserverid, $vservernode ){
    # Hook code goes here
}

function proxmox_hook_onReinstall( $serviceid, $vtype, $vserverid, $vservernode ){
    # Hook code goes here
}
?>